﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestVS2012
{
  public partial class Form1 : Form
  {
    Steema.TeeChart.TChart tChart1; 
    public Form1()
    {
      InitializeComponent();
      tChart1 = new TChart();
      this.Controls.Add(tChart1);
      tChart1.Top = 150;
      tChart1.Left = 100;
      tChart1.Height = 400;
      tChart1.Width = 550; 
      tChart1.Aspect.View3D = false; 
      InitializeChart();
    }
    private void InitializeChart()
    {
      Steema.TeeChart.Styles.Bar bar1 = new Steema.TeeChart.Styles.Bar(tChart1.Chart);
      Steema.TeeChart.Tools.Annotation an = new Steema.TeeChart.Tools.Annotation(tChart1.Chart);
      bar1.FillSampleValues();
      an.Text = "A"; 
      an.TextAlign = StringAlignment.Center;
      button1.Click += button1_Click;
      checkBox1.Checked = true;
      checkBox2.Checked = false;
      checkBox3.Checked = false; 
      checkBox1.CheckedChanged += checkBox1_CheckedChanged;
      checkBox2.CheckedChanged += checkBox2_CheckedChanged;
      checkBox3.CheckedChanged += checkBox3_CheckedChanged;
    }
    void checkBox3_CheckedChanged(object sender, EventArgs e)
    {
      Steema.TeeChart.Tools.Annotation tool = (tChart1.Tools[0] as Steema.TeeChart.Tools.Annotation);
      if (checkBox3.Checked)
      {
        tool.TextAlign = StringAlignment.Far;
        checkBox1.Checked = false;
        checkBox2.Checked = false;
      }
    }
    void checkBox2_CheckedChanged(object sender, EventArgs e)
    {
      Steema.TeeChart.Tools.Annotation tool = (tChart1.Tools[0] as Steema.TeeChart.Tools.Annotation);
      if (checkBox2.Checked)
      {
        tool.TextAlign = StringAlignment.Near;
      }
      checkBox1.Checked = false;
      checkBox3.Checked = false;
    }

    void checkBox1_CheckedChanged(object sender, EventArgs e)
    {
      Steema.TeeChart.Tools.Annotation tool = (tChart1.Tools[0] as Steema.TeeChart.Tools.Annotation); 
      if (checkBox1.Checked)
      {
        tool.TextAlign = StringAlignment.Center; 
      }
      checkBox2.Checked = false;
      checkBox3.Checked = false;
    }

    void button1_Click(object sender, EventArgs e)
    {
      tChart1.ShowEditor(); 
    }
   
  }
}



       